package com.androidexample.datepicker;

import java.util.Calendar;
import android.app.Activity;
import android.app.DatePickerDialog;
import android.app.DatePickerDialog.OnDateSetListener;
import android.os.Bundle;
import android.view.View;
import android.widget.DatePicker;
import android.widget.TextView;

public class DatePickerExample extends Activity implements OnDateSetListener {

	private TextView Output;

	// Definir variables de data
	private int year;
	private int month;
	private int day;
 

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		// Associar els elemente del Layout amb les variables
		Output = (TextView) findViewById(R.id.Output);

	
		// Llegir la data actual
		final Calendar c = Calendar.getInstance();
		year  = c.get(Calendar.YEAR);
		month = c.get(Calendar.MONTH);
		day   = c.get(Calendar.DAY_OF_MONTH);

		// Mostrar la data
		StringBuilder dataActual;
		dataActual = new StringBuilder().append(day).append("/").append(month+1).append("/").append(year);
		Output.setText(dataActual);
 

   }

	// Event click del boto de canviar la data
	public void clicBoto(View v)
	{
		DatePickerDialog dialeg;
		dialeg = new DatePickerDialog(this, this, year, month, day);
		dialeg.show();
	}
	
	// Event Canviar la data del DatePicker
	@Override
	public void onDateSet(DatePicker view, int selectedYear, int selectedMonth,	int selectedDay) {
		
		// Assignar el valors que s'han seleccionat en el dialeg
		year  = selectedYear;
		month = selectedMonth;
		day   = selectedDay;

		// Mostrar la data
		StringBuilder dataActual;
		dataActual = new StringBuilder().append(day).append("/").append(month+1).append("/").append(year);
		Output.setText(dataActual);

	}

}